import * as $dara from '@darabonba/typescript';
import { DescribeDedicatedHostClustersResponseBody } from "./DescribeDedicatedHostClustersResponseBody";
export declare class DescribeDedicatedHostClustersResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeDedicatedHostClustersResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
